diff --git a/daemon/Makefile.am b/daemon/Makefile.am
index be1b5a9..5ce0e1e 100644
--- a/daemon/Makefile.am
+++ b/daemon/Makefile.am
@@ -385,9 +385,7 @@ uninstall-logrotate:
 	rmdir $(DESTDIR)$(sysconfdir)/logrotate.d || :
 
 install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	$(INSTALL_DATA) $(srcdir)/libvirtd.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/libvirtd
+
 uninstall-sysconfig:
 	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/libvirtd
 	rmdir $(DESTDIR)$(sysconfdir)/sysconfig || :
diff --git a/daemon/libvirtd.service.in b/daemon/libvirtd.service.in
index 608221c..63708f4 100644
--- a/daemon/libvirtd.service.in
+++ b/daemon/libvirtd.service.in
@@ -12,8 +12,7 @@ Documentation=http://libvirt.org
 
 [Service]
 Type=notify
-EnvironmentFile=-/etc/sysconfig/libvirtd
-ExecStart=@sbindir@/libvirtd $LIBVIRTD_ARGS
+ExecStart=@sbindir@/libvirtd
 ExecReload=/bin/kill -HUP $MAINPID
 KillMode=process
 Restart=on-failure
diff --git a/src/Makefile.am b/src/Makefile.am
index 7219f7c..c474a23 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -2473,11 +2473,6 @@ EXTRA_DIST += \
 	logging/virtlogd.sysconf
 
 install-sysconfig:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	$(INSTALL_DATA) $(srcdir)/locking/virtlockd.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/virtlockd
-	$(INSTALL_DATA) $(srcdir)/logging/virtlogd.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/virtlogd
 
 uninstall-sysconfig:
 	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/virtlogd
diff --git a/src/locking/virtlockd.service.in b/src/locking/virtlockd.service.in
index 57089b0..ace0c83 100644
--- a/src/locking/virtlockd.service.in
+++ b/src/locking/virtlockd.service.in
@@ -5,8 +5,7 @@ Documentation=man:virtlockd(8)
 Documentation=http://libvirt.org
 
 [Service]
-EnvironmentFile=-/etc/sysconfig/virtlockd
-ExecStart=@sbindir@/virtlockd $VIRTLOCKD_ARGS
+ExecStart=@sbindir@/virtlockd
 ExecReload=/bin/kill -USR1 $MAINPID
 # Loosing the locks is a really bad thing that will
 # cause the machine to be fenced (rebooted), so make
diff --git a/src/logging/virtlogd.service.in b/src/logging/virtlogd.service.in
index a264d3a..b467884 100644
--- a/src/logging/virtlogd.service.in
+++ b/src/logging/virtlogd.service.in
@@ -5,8 +5,7 @@ Documentation=man:virtlogd(8)
 Documentation=http://libvirt.org
 
 [Service]
-EnvironmentFile=-/etc/sysconfig/virtlogd
-ExecStart=@sbindir@/virtlogd $VIRTLOGD_ARGS
+ExecStart=@sbindir@/virtlogd
 ExecReload=/bin/kill -USR1 $MAINPID
 # Loosing the logs is a really bad thing that will
 # cause the machine to be fenced (rebooted), so make
diff --git a/tools/Makefile.am b/tools/Makefile.am
index 9180564..e72d5f4 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -293,7 +293,7 @@ uninstall-local: uninstall-init uninstall-systemd
 install-sysconfig:
 	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
 	$(INSTALL_DATA) $(srcdir)/libvirt-guests.sysconf \
-	  $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
+	  $(DESTDIR)$(sysconfdir)/libvirt/libvirt-guests.conf
 
 uninstall-sysconfig:
 	rm -f $(DESTDIR)$(sysconfdir)/sysconfig/libvirt-guests
diff --git a/tools/libvirt-guests.service.in b/tools/libvirt-guests.service.in
index c31f663..71cb79d 100644
--- a/tools/libvirt-guests.service.in
+++ b/tools/libvirt-guests.service.in
@@ -5,7 +5,7 @@ Documentation=man:libvirtd(8)
 Documentation=http://libvirt.org
 
 [Service]
-EnvironmentFile=-/etc/sysconfig/libvirt-guests
+EnvironmentFile=-/etc/libvirt/libvirt-guests.conf
 # Hack just call traditional service until we factor
 # out the code
 ExecStart=@libexecdir@/libvirt-guests.sh start
diff --git a/tools/libvirt-guests.sysconf b/tools/libvirt-guests.sysconf
index 2770056..accd4f5 100644
--- a/tools/libvirt-guests.sysconf
+++ b/tools/libvirt-guests.sysconf
@@ -1,3 +1,10 @@
+#
+# Warning: This configuration file is only sourced by the systemd
+# libvirt-guests.service unit. The coresponding openrc facility is in
+# /etc/init.d/libvirtd and /etc/conf.d/libvirtd
+#
+
+
 # URIs to check for running guests
 # example: URIS='default xen:/// vbox+tcp://host/system lxc:///'
 #URIS=default
